Implement app events in EntityService for better code decoupling

08/04/2016 04:26 PM - Ricardo Memoria

Status: Closed Start date: 08/04/2016

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 2.9.4 - Oct 10th, 2016 Spent time: 0.00 hour

Complexity:    

Description

Today there is a clear dependency over some components, for example, Case services components calling TagUpdateService.

The idea is that EntityServiceImpl raises an event using Spring event model.

So anyone that is interested in a particular entity that was included, deleted or updated, just listen to the proper entity class.

History

#1 - 08/24/2016 08:32 AM - Ricardo Memoria

- Tracker changed from Bug to Feature

#2 - 08/24/2016 08:33 AM - Ricardo Memoria

- Tracker changed from Feature to Support

#3 - 09/23/2016 03:52 PM - Ricardo Memoria

- Target version changed from 2.9.3 - Sept 12th, 2016 to 2.9.4 - Oct 10th, 2016

#4 - 10/05/2016 10:14 AM - Maurício Dos Santos

- Status changed from New to In Progress

#5 - 10/07/2016 11:50 AM - Maurício Dos Santos

- Status changed from In Progress to Resolved

#6 - 10/20/2016 09:48 PM - Ricardo Memoria

- Status changed from Resolved to Closed
